import React, { useState } from 'react';
import PropTypes from 'prop-types';
import KARIcon from '@material-ui/icons/KeyboardArrowRight';

var NextPageButton = function NextPageButton(_ref) {
  var css = _ref.css,
      page = _ref.page,
      pages = _ref.pages,
      handleNextClick = _ref.handleNextClick;
  var nextClass = css || 'btn btn-sm btn-dark border-0';

  var _useState = useState(false),
      state = _useState[0],
      setState = _useState[1];

  var handleClick = function handleClick() {
    setState(true);
    handleNextClick();
    setTimeout(function () {
      setState(false);
    }, 200);
  };

  if (state || page === pages) {
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: nextClass,
      disabled: true
    }, /*#__PURE__*/React.createElement(KARIcon, null));
  }

  return /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: nextClass,
    onClick: handleClick,
    disabled: state
  }, /*#__PURE__*/React.createElement(KARIcon, null));
};

NextPageButton.propTypes = process.env.NODE_ENV !== "production" ? {
  css: PropTypes.string,
  page: PropTypes.number.isRequired,
  pages: PropTypes.number.isRequired,
  handleNextClick: PropTypes.func.isRequired
} : {};
export default NextPageButton;