import React from 'react';
import PropTypes from 'prop-types';
import RefreshIcon from '@material-ui/icons/Refresh';

var ResetRotation = function ResetRotation(_ref) {
  var css = _ref.css,
      rotationAngle = _ref.rotationAngle,
      handleResetRotation = _ref.handleResetRotation;
  var resetRotationClass = css || 'btn btn-sm btn-dark border-0 mx-1';

  if (rotationAngle === 0) {
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: resetRotationClass,
      disabled: true
    }, /*#__PURE__*/React.createElement(RefreshIcon, null));
  }

  return /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: resetRotationClass,
    onClick: handleResetRotation
  }, /*#__PURE__*/React.createElement(RefreshIcon, null));
};

ResetRotation.propTypes = process.env.NODE_ENV !== "production" ? {
  css: PropTypes.string,
  rotationAngle: PropTypes.number.isRequired,
  handleResetRotation: PropTypes.func.isRequired
} : {};
export default ResetRotation;