import React from 'react';
import PropTypes from 'prop-types';
import RefreshIcon from '@material-ui/icons/Refresh';

var ResetZoom = function ResetZoom(_ref) {
  var css = _ref.css,
      scale = _ref.scale,
      defaultScale = _ref.defaultScale,
      handleResetZoom = _ref.handleResetZoom;
  var resetZoomClass = css || 'btn btn-sm btn-dark border-0 mx-1';

  if (scale.toFixed(2) === defaultScale.toFixed(2)) {
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: resetZoomClass,
      disabled: true
    }, /*#__PURE__*/React.createElement(RefreshIcon, null));
  }

  return /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: resetZoomClass,
    onClick: handleResetZoom
  }, /*#__PURE__*/React.createElement(RefreshIcon, null));
};

ResetZoom.propTypes = process.env.NODE_ENV !== "production" ? {
  css: PropTypes.string,
  scale: PropTypes.number.isRequired,
  defaultScale: PropTypes.number.isRequired,
  handleResetZoom: PropTypes.func.isRequired
} : {};
export default ResetZoom;