import React from 'react';
import PropTypes from 'prop-types';
import ZoomInIcon from '@material-ui/icons/ZoomIn';

var ZoomIn = function ZoomIn(_ref) {
  var css = _ref.css,
      scale = _ref.scale,
      defaultScale = _ref.defaultScale,
      maxScale = _ref.maxScale,
      handleZoomIn = _ref.handleZoomIn;
  var zoomInClass = css || 'btn btn-sm btn-dark border-0 mx-1';
  var checkScale = maxScale;

  if (defaultScale > maxScale) {
    checkScale = defaultScale;
  }

  if (scale.toFixed(2) === checkScale.toFixed(2)) {
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: zoomInClass,
      disabled: true
    }, /*#__PURE__*/React.createElement(ZoomInIcon, null));
  }

  return /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: zoomInClass,
    onClick: handleZoomIn
  }, /*#__PURE__*/React.createElement(ZoomInIcon, null));
};

ZoomIn.propTypes = process.env.NODE_ENV !== "production" ? {
  css: PropTypes.string,
  scale: PropTypes.number.isRequired,
  defaultScale: PropTypes.number.isRequired,
  maxScale: PropTypes.number.isRequired,
  handleZoomIn: PropTypes.func.isRequired
} : {};
export default ZoomIn;