import React from 'react';
import PropTypes from 'prop-types';
import ZoomOutIcon from '@material-ui/icons/ZoomOut';

var ZoomOut = function ZoomOut(_ref) {
  var css = _ref.css,
      scale = _ref.scale,
      defaultScale = _ref.defaultScale,
      minScale = _ref.minScale,
      handleZoomOut = _ref.handleZoomOut;
  var zoomOutClass = css || 'btn btn-sm btn-dark border-0 mx-1';
  var checkScale = minScale;

  if (defaultScale < minScale) {
    checkScale = defaultScale;
  }

  if (scale.toFixed(2) === checkScale.toFixed(2)) {
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: zoomOutClass,
      disabled: true
    }, /*#__PURE__*/React.createElement(ZoomOutIcon, null));
  }

  return /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: zoomOutClass,
    onClick: handleZoomOut
  }, /*#__PURE__*/React.createElement(ZoomOutIcon, null));
};

ZoomOut.propTypes = process.env.NODE_ENV !== "production" ? {
  css: PropTypes.string,
  scale: PropTypes.number.isRequired,
  defaultScale: PropTypes.number.isRequired,
  minScale: PropTypes.number.isRequired,
  handleZoomOut: PropTypes.func.isRequired
} : {};
export default ZoomOut;