"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _KeyboardArrowRight = _interopRequireDefault(require("@material-ui/icons/KeyboardArrowRight"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var NextPageButton = function NextPageButton(_ref) {
  var css = _ref.css,
      page = _ref.page,
      pages = _ref.pages,
      handleNextClick = _ref.handleNextClick;
  var nextClass = css || 'btn btn-sm btn-dark border-0';

  var _useState = (0, _react.useState)(false),
      state = _useState[0],
      setState = _useState[1];

  var handleClick = function handleClick() {
    setState(true);
    handleNextClick();
    setTimeout(function () {
      setState(false);
    }, 200);
  };

  if (state || page === pages) {
    return /*#__PURE__*/_react["default"].createElement("button", {
      type: "button",
      className: nextClass,
      disabled: true
    }, /*#__PURE__*/_react["default"].createElement(_KeyboardArrowRight["default"], null));
  }

  return /*#__PURE__*/_react["default"].createElement("button", {
    type: "button",
    className: nextClass,
    onClick: handleClick,
    disabled: state
  }, /*#__PURE__*/_react["default"].createElement(_KeyboardArrowRight["default"], null));
};

NextPageButton.propTypes = process.env.NODE_ENV !== "production" ? {
  css: _propTypes["default"].string,
  page: _propTypes["default"].number.isRequired,
  pages: _propTypes["default"].number.isRequired,
  handleNextClick: _propTypes["default"].func.isRequired
} : {};
var _default = NextPageButton;
exports["default"] = _default;
module.exports = exports.default;