"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _NextPageButton = _interopRequireDefault(require("./Navigation/NextPageButton"));

var _PagesIndicator = _interopRequireDefault(require("./Navigation/PagesIndicator"));

var _PreviousPageButton = _interopRequireDefault(require("./Navigation/PreviousPageButton"));

var _ZoomIn = _interopRequireDefault(require("./Navigation/ZoomIn"));

var _ZoomOut = _interopRequireDefault(require("./Navigation/ZoomOut"));

var _ResetZoom = _interopRequireDefault(require("./Navigation/ResetZoom"));

var _RotateLeft = _interopRequireDefault(require("./Navigation/RotateLeft"));

var _ResetRotation = _interopRequireDefault(require("./Navigation/ResetRotation"));

var _RotateRight = _interopRequireDefault(require("./Navigation/RotateRight"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Navigation = function Navigation(_ref) {
  var page = _ref.page,
      pages = _ref.pages,
      scale = _ref.scale,
      defaultScale = _ref.defaultScale,
      maxScale = _ref.maxScale,
      minScale = _ref.minScale,
      rotationAngle = _ref.rotationAngle,
      hideZoom = _ref.hideZoom,
      hideRotation = _ref.hideRotation,
      css = _ref.css,
      handlePrevClick = _ref.handlePrevClick,
      handleNextClick = _ref.handleNextClick,
      handleZoomIn = _ref.handleZoomIn,
      handleResetZoom = _ref.handleResetZoom,
      handleZoomOut = _ref.handleZoomOut,
      handleRotateLeft = _ref.handleRotateLeft,
      handleResetRotation = _ref.handleResetRotation,
      handleRotateRight = _ref.handleRotateRight;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "row " + (css.navbarWrapper || 'text-white bg-dark py-4')
  }, hideZoom ? /*#__PURE__*/_react["default"].createElement("div", {
    className: "col-4"
  }) : /*#__PURE__*/_react["default"].createElement("div", {
    className: "col-4 text-left"
  }, /*#__PURE__*/_react["default"].createElement(_ZoomOut["default"], {
    scale: scale,
    minScale: minScale,
    defaultScale: defaultScale,
    css: css.zoomOutBtn,
    handleZoomOut: handleZoomOut
  }), /*#__PURE__*/_react["default"].createElement(_ResetZoom["default"], {
    scale: scale,
    defaultScale: defaultScale,
    css: css.resetZoomBtn,
    handleResetZoom: handleResetZoom
  }), /*#__PURE__*/_react["default"].createElement(_ZoomIn["default"], {
    scale: scale,
    maxScale: maxScale,
    defaultScale: defaultScale,
    css: css.zoomInBtn,
    handleZoomIn: handleZoomIn
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: "col-4 text-center"
  }, /*#__PURE__*/_react["default"].createElement(_PreviousPageButton["default"], {
    css: css.previousPageBtn,
    page: page,
    pages: pages,
    handlePrevClick: handlePrevClick
  }), /*#__PURE__*/_react["default"].createElement(_PagesIndicator["default"], {
    css: css.pageIndicator,
    page: page,
    pages: pages
  }), /*#__PURE__*/_react["default"].createElement(_NextPageButton["default"], {
    css: css.nextPageBtn,
    page: page,
    pages: pages,
    handleNextClick: handleNextClick
  })), hideRotation ? /*#__PURE__*/_react["default"].createElement("div", {
    className: "col-4"
  }) : /*#__PURE__*/_react["default"].createElement("div", {
    className: "col-4 text-right"
  }, /*#__PURE__*/_react["default"].createElement(_RotateLeft["default"], {
    css: css.rotateLeftBtn,
    rotationAngle: rotationAngle,
    handleRotateLeft: handleRotateLeft
  }), /*#__PURE__*/_react["default"].createElement(_ResetRotation["default"], {
    css: css.resetRotationBtn,
    rotationAngle: rotationAngle,
    handleResetRotation: handleResetRotation
  }), /*#__PURE__*/_react["default"].createElement(_RotateRight["default"], {
    css: css.rotateRightBtn,
    rotationAngle: rotationAngle,
    handleRotateRight: handleRotateRight
  })));
};

Navigation.propTypes = process.env.NODE_ENV !== "production" ? {
  page: _propTypes["default"].number.isRequired,
  pages: _propTypes["default"].number.isRequired,
  scale: _propTypes["default"].number,
  defaultScale: _propTypes["default"].number,
  maxScale: _propTypes["default"].number,
  minScale: _propTypes["default"].number,
  rotationAngle: _propTypes["default"].number,
  hideZoom: _propTypes["default"].bool,
  hideRotation: _propTypes["default"].bool,
  css: _propTypes["default"].shape({
    navbarWrapper: _propTypes["default"].string,
    pages: _propTypes["default"].string,
    pageIndicator: _propTypes["default"].string,
    previousPageBtn: _propTypes["default"].string,
    nextPageBtn: _propTypes["default"].string,
    zoomOutBtn: _propTypes["default"].string,
    resetZoomBtn: _propTypes["default"].string,
    zoomInBtn: _propTypes["default"].string,
    rotateLeftBtn: _propTypes["default"].string,
    resetRotationBtn: _propTypes["default"].string,
    rotateRightBtn: _propTypes["default"].string
  }),
  elements: _propTypes["default"].shape({
    previousPageBtn: _propTypes["default"].any,
    nextPageBtn: _propTypes["default"].any,
    pages: _propTypes["default"].any
  }),
  handlePrevClick: _propTypes["default"].func.isRequired,
  handleNextClick: _propTypes["default"].func.isRequired,
  handleZoomIn: _propTypes["default"].func.isRequired,
  handleResetZoom: _propTypes["default"].func.isRequired,
  handleZoomOut: _propTypes["default"].func.isRequired,
  handleRotateLeft: _propTypes["default"].func.isRequired,
  handleResetRotation: _propTypes["default"].func.isRequired,
  handleRotateRight: _propTypes["default"].func.isRequired
} : {};
Navigation.defaultProps = {
  css: {},
  elements: {}
};
var _default = Navigation;
exports["default"] = _default;
module.exports = exports.default;